> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/venues/venuedata/get-resource-availability.md).

# Get Resource Availability

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getResourceAvailability`

Return the availability for resources.

#### Request Body

| Name                                          | Type    | Description                                                                           |
| --------------------------------------------- | ------- | ------------------------------------------------------------------------------------- |
| venueId<mark style="color:red;">\*</mark>     | integer | The id of the venue                                                                   |
| startDate<mark style="color:red;">\*</mark>   | date    | The start date of the period from which to include the resource availability details. |
| endDate<mark style="color:red;">\*</mark>     | date    | The end date of the period from which to include the resource availability details.   |
| resourceIds<mark style="color:red;">\*</mark> | array   | The end date of the period from which to include the resource availability details.   |
| quantity                                      | integer | Specifies the quantity to check for resource availability.                            |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 2,
        "start": 0,
        "perPage": 100,
        "count": 2
    },
    "results": [
        {
            "id": 1,
            "unAvailableTimes": [
                {
                    "startDate": "2021-06-24 00:00:00",
                    "endDate": "2021-06-24 23:59:00",
                    "quantity": 10
                }
            ],
            "isAvailable": true,
            "conflict": null
        },
        {
            "id": 25,
            "unAvailableTimes": [
                {
                    "startDate": "2021-06-24 00:00:00",
                    "endDate": "2021-06-24 23:59:00",
                    "quantity": 10
                }
            ],
            "isAvailable": false,
            "conflict": {
                "venueId": 1,
                "bookingId": 20815,
                "sessionId": 11544,
                "spaceId": 288,
                "resourceId": 25,
                "startDate": "2021-06-24 00:00:00",
                "endDate": "2021-06-24 23:59:00",
                "quantity": 10
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}

### Example Request

`Get Resource Availability`

```javascript
{
    "venueId": 1,
    "startDate": "2021-06-24 00:00:00",
    "endDate": "2021-06-25 00:00:00",
    "resourceIds": [1, 25],
    "quantity": 10
}
```

### Returns

`A collection object with the following properties in the results`

| Property         | Description                                                                                                                              |
| ---------------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| id               | The unique resource identifier                                                                                                           |
| unAvailableTimes | The reserved date time ranges for resource with quantity                                                                                 |
| isAvailble       | Whether or not resource is available for given time range and quantity. (Only when request contains quantity)                            |
| conflict         | If resource is not available (i.e. isAvailable to false), then it gives conflicted session details (Only when request contains quantity) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-resource-availability.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
